@image_1, @video_1, or custom @name tags. Standalone voices is not supported; bind character audio on the element's voice_url.prompt as shown below:| Material | Mention syntax | Limit |
|---|---|---|
Reference images image_urls | @image_1, @image_2, … | 10 images |
Reference videos video_urls | @video_1, @video_2, … | 5 videos |
Elements elements | @name | 7 items, of which at most 3 can be video elements |
image_N, video_N, keyframe_N, object_N, audio_N, first_frame, or last_frame.720p. Duration is 3–20 seconds.aspect_ratio is omitted, the model uses auto if any reference material is provided, and 16:9 when none are. When video_urls is provided, keep_original_sound controls whether the original audio is kept.callBackUrl parameter to receive the automatic notification upon completion of the generation, rather than polling the status endpoint.curl --location 'https://api.kie.ai/api/v1/jobs/createTask' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "kling-4.0/flash-reference-to-video",
"callBackUrl": "https://your-domain.com/api/callback",
"input": {
"prompt": "Replace the environment and characters throughout the video with the content from Image.",
"image_urls": [
"https://static.aiquickdraw.com/tools/example/1793864877785_DrXOIEka.png"
],
"video_urls": [
"https://static.aiquickdraw.com/tools/example/1793864807765_yRE8tJUe.mp4"
],
"keep_original_sound": false,
"duration": 5,
"resolution": "720p",
"aspect_ratio": "auto",
"elements": [
{
"name": "test",
"type": "image",
"image_urls": [
"https://tempfileb.aiquickdraw.com/kieai/market/1793878290792_SdXlPHYn.jpeg"
],
"tag": "character",
"description": "测试实测",
"voice_url": "https://tempfileb.aiquickdraw.com/kieai/market/1793878312680_g5wLYejf.mp3"
}
]
}
}'{
"code": 200,
"msg": "success",
"data": {
"taskId": "task_kling-4.0-flash-reference-to-video_abc123"
}
}